<?php
defined('ABSPATH') or die();

require_once (get_template_directory(). '/lib/tgmpa/class-tgm-plugin-activation.php');

add_action( 'tgmpa_register', 'hnd_register_required_plugins' );

if ( ! isset( $content_width ) ) $content_width = 2000;


function hnd_register_required_plugins() {

	$plugins = array(

		array(
			'name'     				=> esc_html__('WPBakery Visual Composer','hnd'), 
			'slug'     				=> 'js_composer', 
			'source'   				=> get_template_directory() . '/plugins/js_composer_5.4.5.zip',
			'required' 				=> true, 
		),
		array(
			'name'     				=> esc_html__('HND Visual Composer Add On','hnd'),
			'slug'     				=> 'hnd-vc-addon', 
			'source'   				=> get_template_directory() . '/plugins/hnd_vc_addon.zip',
			'required' 				=> false,
		),
		array(
			'name'     				=> esc_html__('Contact Form 7','hnd'),
			'slug'     				=> 'contact-form-7', 
			'required' 				=> false, 
		),
		array(
			'name'     				=> esc_html__('WooCommerce - excelling eCommerce','hnd'),
			'slug'     				=> 'woocommerce', 
			'required' 				=> false, 
		),
		array(
			'name'     				=> esc_html__('Revolution Slider','hnd'),
			'slug'     				=> 'revslider',
			'source'   				=> get_template_directory() . '/plugins/rev-slider_5.4.6.4.zip',
			'required' 				=> true, 
		),
		array(
			'name'     				=> esc_html__('HND Megamenu Plugin','hnd'), 
			'slug'     				=> 'hnd-megamenu', 
			'source'   				=> get_template_directory() . '/plugins/hnd-megamenu.zip',
			'required' 				=> false, 
		),
		array(
			'name'     				=> esc_html__('HND Report Post Plugin','hnd'), 
			'slug'     				=> 'hnd-report-post', 
			'source'   				=> get_template_directory() . '/plugins/hnd-report-post.zip',
			'required' 				=> false, 
		),
		array(
			'name'     				=> esc_html__('HND Icon Font - Add-on','hnd'),
			'slug'     				=> 'hnd-icon', 
			'source'   				=> get_template_directory() . '/plugins/hnd-icon.zip', 
			'required' 				=> false,
		),
		array(
			'name'     				=> esc_html__('HND Demo Packages','hnd'),
			'slug'     				=> 'hnd-demo', 
			'source'   				=> get_template_directory() . '/plugins/hnd-demo.zip', 
			'required' 				=> false,
		),
		array(
			'name'     				=> esc_html__('Detheme Custom Post','hnd'),
			'slug'     				=> 'detheme-post',
			'source'   				=> get_template_directory() . '/plugins/detheme-post.zip',
			'required' 				=> false,
		),
		array(
			'name'     				=> esc_html__('Essential_Grid','hnd'),
			'slug'     				=> 'essential-grid', 
			'source'   				=> get_template_directory() . '/plugins/essential-grid-2.1.6.2.2.zip',
			'required' 				=> false, 
		),
		array(
			'name'     				=> esc_html__('HND Plugin','hnd'),
			'slug'     				=> 'hnd-plugin', 
			'source'   				=> get_template_directory() . '/plugins/hnd-plugin.zip',
			'required' 				=> true, 
		),
		);



	$config = array(
		'id'                => 'hnd-tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'domain'       		=> 'hnd',         			// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'parent_slug' 		=> 'themes.php', 				// Default parent menu slug
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> __( 'Install Required Plugins', 'hnd' ),
			'menu_title'                       			=> __( 'Install Plugins', 'hnd' ),
			'installing'                       			=> __( 'Installing Plugin: %s', 'hnd' ), // %1$s = plugin name
			'oops'                             			=> __( 'Something went wrong with the plugin API.', 'hnd' ),
			'notice_can_install_required'     			=> _n_noop( __('This theme requires the following plugin: %1$s.','hnd'),__('This theme requires the following plugins: %1$s.','hnd')), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( __('This theme recommends the following plugin: %1$s.','hnd'),__('This theme recommends the following plugins: %1$s.','hnd')), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( __('Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.','hnd'),__('Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.','hnd') ), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( __('The following required plugin is currently inactive: %1$s.','hnd'),__('The following required plugins are currently inactive: %1$s.','hnd') ), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( __('The following recommended plugin is currently inactive: %1$s.','hnd'),__('The following recommended plugins are currently inactive: %1$s.','hnd') ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( __('Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.','hnd'),__('Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.','hnd') ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( __('The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.','hnd'),__('The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.','hnd') ), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( __('Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.','hnd'),__('Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.','hnd') ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( __('Begin installing plugin','hnd'),__('Begin installing plugins','hnd') ),
			'activate_link' 				  			=> _n_noop( __('Activate installed plugin','hnd'),__('Activate installed plugins','hnd') ),
			'return'                           			=> __( 'Return to Required Plugins Installer', 'hnd' ),
			'plugin_activated'                 			=> __( 'Plugin activated successfully.', 'hnd' ),
			'complete' 									=> __( 'All plugins installed and activated successfully. %s', 'hnd' ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );

}

function hnd_startup() {

	global $dt_revealData, $detheme_Scripts,$detheme_Style,$billio_link_pages_args;

	$billio_link_pages_args = array(
		'before'           => '<div class="row"><div class="billio_link_page container">',
		'after'            => '</div></div>',
		'link_before'      => '<span class="page-numbers">',
		'link_after'       => '</span>',
		'next_or_number'   => 'number',
		'separator'        => ' ',
		'nextpagelink'     => __( 'Next page','hnd' ),
		'previouspagelink' => __( 'Previous page','hnd' ),
		'pagelink'         => '%',
		'echo'             => 1
	);
							
	$dt_revealData=array();
	$detheme_Scripts=array();
	$detheme_Style=array();

	$locale = get_locale();

	if((is_child_theme() && !load_textdomain( 'hnd', untrailingslashit(get_stylesheet_directory()) . "/languages/{$locale}.mo")) || (!is_child_theme() && !load_theme_textdomain('hnd',get_template_directory() )  )){
		load_theme_textdomain('hnd',untrailingslashit(get_template_directory())."/languages");
	}

	if($locale!=''){
		load_textdomain('tgmpa', get_template_directory() . '/languages/tgmpa-'.$locale.".mo");
	}	

	add_theme_support('post-thumbnails');
	add_theme_support( 'title-tag' );

	add_image_size('large-img', 1024, 768);
	add_image_size('medium-img', 768, 576);
	add_image_size('small-img', 320, 240);

	add_theme_support( 'post-formats', array( 'quote', 'video', 'audio', 'gallery', 'link' , 'image' , 'aside' ) );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );


	register_nav_menus(array(
		'primary' => __('Top Navigation', 'hnd')
	));

	// sidebar widget
	register_sidebar(
		array('name'=> __('Sidebar Widget Area', 'hnd'),
			'id'=>'detheme-sidebar',
			'description'=> __('Sidebar Widget Area', 'hnd'),
			'before_widget' => '<div class="widget %s %s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget_title">',
			'after_title' => '</h3>'
		));

	register_sidebar(
		array('name'=> __('Bottom Widget Area', 'hnd'),
			'id'=>'detheme-bottom',
			'description'=> __('Bottom Widget Area', 'hnd'),
			'before_widget' => '<div class="widget %s %s">',
			'after_widget' => '</div>',
			'before_title' => '<div class="row"><div class="col col-sm-12 centered"><h3 class="widget-title">',
			'after_title' => '</h3></div></div>'

		));

	register_sidebar(
		array('name'=> __('Sticky Widget Area', 'hnd'),
			'id'=>'detheme-scrolling-sidebar',
			'description'=> __('Sticky Widget Area', 'hnd'),
			'before_widget' => '<div class="widget %s %s">',
			'after_widget' => '</div>',
			'before_title' => '<div class="row"><div class="col col-sm-12 centered"><h3>',
			'after_title' => '</h3></div></div>'

		));

	if (detheme_plugin_is_active('woocommerce/woocommerce.php')) {

		register_sidebar(
			array('name'=> __('Shop Sidebar Widget Area', 'hnd'),
				'id'=>'shop-sidebar',
				'description'=> __('Sidebar will display on woocommerce page only', 'hnd'),
				'before_widget' => '<div class="widget %s %s">',
				'after_widget' => '</div>',
				'before_title' => '<h3 class="widget_title">',
				'after_title' => '</h3>'
			));

		// Display 12 products per page.
		add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 12;' ), 20 );
	}

	add_action('wp_enqueue_scripts', 'hnd_scripts', 999);
	add_action('wp_enqueue_scripts', 'detheme_css_style',999);
	add_action('wp_head', 'hnd_load_preloader', 10000);
  	add_action('wp_enqueue_scripts',create_function('','global $detheme_config;print "<script type=\"text/javascript\">var ajaxurl = \'".admin_url(\'admin-ajax.php\')."\';var themecolor=\'".$detheme_config[\'primary-color\']."\';</script>\n";'));
	add_action('wp_enqueue_scripts', 'detheme_print_inline_style' );
	
  	add_action('wp_footer',create_function('','global $detheme_Scripts;if(count($detheme_Scripts)) print "<script type=\"text/javascript\">\n".@implode("\n",$detheme_Scripts)."\n</script>\n";'),99998);
  	add_action('wp_head','detheme_og_generator',1);
	add_action('admin_head','detheme_load_admin_stylesheet');

	add_filter( 'script_loader_src', 'detheme_remove_script_version', 15, 1 );
	add_filter( 'style_loader_src', 'detheme_remove_script_version', 15, 1 );

} 

add_action('after_setup_theme','hnd_startup');

if ( ! function_exists( '_wp_render_title_tag' ) ) :
/* backword compatibility */
	
	function detheme_slug_render_title() {
		$tag="title";
		echo "<$tag>".wp_title('|', false, 'left')."</$tag>\n";
	}
	add_action( 'wp_head', 'detheme_slug_render_title',1);

	function detheme_page_title($title){

	  if(defined('WPSEO_VERSION'))
	    return $title;

	  $blogname=get_bloginfo('name','raw'); 

	  if($blogname!='')
	    return $blogname." | ".$title;
	  return $title;
	}

	add_filter('wp_title','detheme_page_title',1);

endif;


function detheme_css_style(){
	if(is_admin())
		return;

	global $detheme_config;

	wp_enqueue_script( 'wp-color-picker' );
	wp_enqueue_style( 'wp-color-picker' );

	wp_enqueue_style( 'styleable-select-style', get_template_directory_uri() . '/css/select-theme-default.css', array(), '0.4.0', 'all' );

	wp_enqueue_style( 'hnd-style-ie', get_template_directory_uri() . '/css/ie9.css', array());
	wp_style_add_data( 'hnd-style-ie', 'conditional', 'IE 9' );

	add_filter( "get_post_metadata",'detheme_check_vc_custom_row',1,3);
	add_action('wp_footer',create_function('','global $dt_revealData,$detheme_Style; 
		if(count($dt_revealData)) { print @implode("\n",$dt_revealData);'
		.'print "<div class=\"md-overlay\"></div>\n";'
		.'print "<script type=\'text/javascript\' src=\''.get_template_directory_uri().'/js/classie.js\'></script>";'
		.'print "<script type=\'text/javascript\' src=\''.get_template_directory_uri().'/js/modal_effects.js\'></script>";}'
		.'if(count($detheme_Style)){print 
	"<script type=\"text/javascript\">
	jQuery(document).ready(function($){
		$(\'head\').append(\'<style type=\"text/css\">".esc_js(str_replace("\n","", @implode("",$detheme_Style)))."</style>\');
	});
	</script>";}'
		.' print "<div class=\"jquery-media-detect\"></div>";'),99999);
	if(function_exists('vc_set_as_theme')){

		$assetPath=plugins_url( 'js_composer/assets/css','js_composer');

		$front_css_file = version_compare(WPB_VC_VERSION,"4.2.3",'>=')?$assetPath.'/js_composer.css':$assetPath.'/js_composer_front.css';

		$upload_dir = wp_upload_dir();

		if(function_exists('vc_settings')){

		  if ( vc_settings()->get( 'use_custom' ) == '1' && is_file( $upload_dir['basedir'] . '/js_composer/js_composer_front_custom.css' ) ) {
		    $front_css_file = $upload_dir['baseurl'] . '/js_composer/js_composer_front_custom.css';
		  }
		}
		else{
		  if ( WPBakeryVisualComposerSettings::get('use_custom') == '1' && is_file( $upload_dir['basedir'] . '/js_composer/js_composer_front_custom.css' ) ) {
		    $front_css_file = $upload_dir['baseurl'] . '/js_composer/js_composer_front_custom.css';
		  }

		}

		wp_register_style( 'js_composer_front', $front_css_file, false, WPB_VC_VERSION, 'all' );

		if ( is_file( $upload_dir['basedir'] . '/js_composer/custom.css' ) ) {
		  wp_register_style( 'js_composer_custom_css', $upload_dir['baseurl'] . '/js_composer/custom.css', array(), WPB_VC_VERSION, 'screen' );
		}

		wp_enqueue_style('js_composer_front');
		wp_enqueue_style('js_composer_custom_css');

	}

	wp_enqueue_style( 'hnd-style-css', get_template_directory_uri() . '/style.css');
	wp_enqueue_style( 'bootstrap-css', get_template_directory_uri() . '/css/bootstrap.css');
	wp_enqueue_style( 'flaticon-css', get_template_directory_uri() . '/css/flaticon.css');
	wp_enqueue_style( 'socialicon-css', get_template_directory_uri() . '/css/socialicons/flaticon.css');

	if (!empty($detheme_config['primary-font']['font-family']) && isset($detheme_config['primary-font']['google'])) {
		if (isset($detheme_config['primary-font']['google']) && $detheme_config['primary-font']['google']) {
			$fontfamily = str_replace(' ','+',$detheme_config['primary-font']['font-family']);
			$subsets = '';

			if (!empty($detheme_config['primary-font']['subsets'])) {
				$subsets = '&subset='.$detheme_config['primary-font']['subsets'];
			}
			
			$fonturl = '//fonts.googleapis.com/css?family='.$fontfamily.':100,300,400,300italic,600,700'.$subsets;
			wp_enqueue_style($fontfamily, $fonturl);
		}	
	} else {
		wp_enqueue_style('font-Istok','//fonts.googleapis.com/css?family=Open%20Sans');
	}

	if (!empty($detheme_config['secondary-font']['font-family']) && isset($detheme_config['secondary-font']['google'])) {
		if ($detheme_config['secondary-font']['google']) {
			$fontfamily = str_replace(' ','+',$detheme_config['secondary-font']['font-family']);
			$subsets = '';

			if (!empty($detheme_config['secondary-font']['subsets'])) {
				$subsets = '&subset='.$detheme_config['secondary-font']['subsets'];
			}
			
			$fonturl = '//fonts.googleapis.com/css?family='.$fontfamily.':100,300,400,300italic,400italic,600,700,800'.$subsets;
			wp_enqueue_style($fontfamily, $fonturl);
		}	
	} else {
		wp_enqueue_style('font-Raleway', '//fonts.googleapis.com/css?family=Montserrat');
	}

	if (!empty($detheme_config['section-font']['font-family']) && isset($detheme_config['section-font']['google'])) {

		if ($detheme_config['section-font']['google']=='true') {
			$fontfamily = $detheme_config['section-font']['font-family'];
			$fonturl = '//fonts.googleapis.com/css?family='.str_replace(' ','+',$fontfamily);

			if (!empty($detheme_config['section-font']['font-weight'])) {
				$fonturl.=":".$detheme_config['section-font']['font-weight'].','.$detheme_config['section-font']['font-weight'].'italic';
			}
			

			if (!empty($detheme_config['section-font']['subsets'])) {
				$fonturl.='&subset='.$detheme_config['section-font']['subsets'];
			}
			wp_enqueue_style($fontfamily, $fonturl);

		}	
	} else {
		wp_enqueue_style('font-Raleway', '//fonts.googleapis.com/css?family=Montserrat');
	}


	if (!empty($detheme_config['tertiary-font']['font-family']) && isset($detheme_config['tertiary-font']['google'])) {
		if ($detheme_config['tertiary-font']['google']) {
			$fontfamily = str_replace(' ','+',$detheme_config['tertiary-font']['font-family']);
			$subsets = '';

			if (!empty($detheme_config['tertiary-font']['subsets'])) {
				$subsets = '&subset='.$detheme_config['tertiary-font']['subsets'];
			}
			
			$fonturl = '//fonts.googleapis.com/css?family='.$fontfamily.':100,300,400,300italic,400italic,600,700'.$subsets;
			wp_enqueue_style($fontfamily, $fonturl);
		}	
	} else {
		wp_enqueue_style('font-Raleway', '//fonts.googleapis.com/css?family=Lora:400italic');
		
	}

	if(!defined('IFRAME_REQUEST')){
		wp_enqueue_style( 'hnd-css', get_template_directory_uri() . '/css/hnd.css');

		if(is_rtl()){
			wp_enqueue_style( 'hnd-rtl-css', get_template_directory_uri() . '/css/hnd-rtl.css');

		}
	}

	if(is_child_theme()){
		wp_enqueue_style( 'mystyle-css', get_template_directory_uri() . '/css/style.css');
	}

	$blog_id="";

	if ( is_multisite()){
		$blog_id="-site".get_current_blog_id();
	}

	wp_enqueue_style( 'customstyle-css', get_template_directory_uri() . '/css/customstyle'.$blog_id.'.css');

} //function detheme_css_style()

function detheme_check_vc_custom_row($post=null,$object_id, $meta_key=''){

  if('_wpb_shortcodes_custom_css'==$meta_key){

    $meta_cache = wp_cache_get($object_id, 'post_meta');
    return '';
   }
}

function detheme_og_generator(){
	global $detheme_config, $post;

	if(is_admin())
		return;

	$show_meta_og = true;
	if (isset($detheme_config['meta-og']) && !$detheme_config['meta-og'])
		$show_meta_og = false;

	if (!$show_meta_og) return;

	$ogimage = "";
	if (function_exists('wp_get_attachment_thumb_url')) {
		$ogimage = wp_get_attachment_thumb_url(get_post_thumbnail_id(get_the_ID())); 
	}

	print '<meta property="og:title" content="'.esc_attr(get_the_title()).'" />'."\n";
	print '<meta property="og:type" content="article"/>'."\n";
	print '<meta property="og:locale" content="'.get_locale().'" />'."\n";
	print '<meta property="og:site_name" content="'.esc_attr(get_bloginfo('name')).'"/>'."\n";
	print '<meta property="og:url" content="'.esc_url(get_permalink()).'" />'."\n";
	print '<meta property="og:description" content="'.esc_attr(str_replace( '[&hellip;]', '&hellip;', strip_tags( get_the_excerpt() ))).'" />'."\n";
	print '<meta property="og:image" content="'.esc_attr($ogimage).'" />'."\n";
	print '<meta property="fb:app_id" content="799143140148346" />'."\n";
}

function detheme_print_inline_style(){
	global $detheme_config;

	if(is_admin() || in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php')))
		return;

  	$css_banner=array();

	if(!empty($detheme_config['banner'])){
		$css_banner[]= 'background: url('.esc_url(maybe_ssl_url($detheme_config['banner'])).') no-repeat 50% 50%; max-height: 100%; background-size: cover;'; 
	}
	
	if(!empty($detheme_config['bannercolor'])){
		$css_banner[]='background-color: '.$detheme_config['bannercolor'].';'; 
	}


	$banner_height=get_dt_banner_height();
	if($banner_height){
		$css_banner[]='min-height:'.$banner_height.";";
		$css_banner[]='height:'.$banner_height.";";
	}


	$css_highlight_bg = '';
	if(!empty($detheme_config['dt-slider-bg-image']['url'])){
		$css_highlight_bg .= '@media (max-width: 767px) { .section-banner .slide-carousel { background: url("'.esc_url(maybe_ssl_url($detheme_config['dt-slider-bg-image']['url'])).'") !important; }} ';
		$css_highlight_bg .= '.section-banner .fullbg-img { background: url("'.esc_url(maybe_ssl_url($detheme_config['dt-slider-bg-image']['url'])).'")  no-repeat scroll 50% 50% / cover  rgba(0, 0, 0, 0) !important; } ';
	}

	if(!empty($detheme_config['dt-slider-blur-bg-image']['url'])){
		$css_highlight_bg .= '@media (min-width: 768px) { .section-banner:before { background: url("'.esc_url(maybe_ssl_url($detheme_config['dt-slider-blur-bg-image']['url'])).'") no-repeat scroll 50% 50% / cover  rgba(0, 0, 0, 0) !important; }} ';
	}

	print "<style type=\"text/css\">\n";


	if($detheme_config['sandbox-mode']){
  		$customstyle=detheme_style_compile($detheme_config,"",false);

  		print $customstyle."\n";
  	}

	if(count($css_banner) || count($css_header)){
		print (count($css_banner))?"section#banner-section {".@implode("\n",$css_banner)."}\n":"";

		if (isset($detheme_config['logo-top']) && $detheme_config['logo-top']) {
			print "div#head-page #dt-menu.dt-menu-center ul li.logo-desktop a {margin-top:".$detheme_config['logo-top']."px;}\n"; 
			print "div#head-page #dt-menu.dt-menu-left ul li.logo-desktop a {margin-top:".$detheme_config['logo-top']."px;}\n"; 
			print "div#head-page #dt-menu.dt-menu-leftbar ul li.logo-desktop a {margin-top:".$detheme_config['logo-top']."px;}\n"; 
			print "div#head-page #dt-menu.dt-menu-right ul li.logo-desktop a {margin-top:".$detheme_config['logo-top']."px;}\n"; 
		}

		print (isset($detheme_config['logo-left']) &&  $detheme_config['logo-left'])?"div#head-page #dt-menu ul li.logo-desktop a {margin-left:".$detheme_config['logo-left']."px;}\n":"";
		print (isset($detheme_config['body_background']))?$detheme_config['body_background']:"";
	}
	print $css_highlight_bg;
	print "</style>\n";

	/* favicon handle */

	if(isset($detheme_config['dt-favicon-image']['url']) && ''!==$detheme_config['dt-favicon-image']['url'] && !function_exists('wp_site_icon')){

		$favicon_url=$detheme_config['dt-favicon-image']['url'];
		print "<link rel=\"shortcut icon\" type=\"image/png\" href=\"".esc_url(maybe_ssl_url($favicon_url))."\">\n";
	}



}

function hnd_scripts(){
	global $detheme_config;

    $suffix       = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

  	if(isset($detheme_config['js-code']) && !empty($detheme_config['js-code'])){
  		add_action('wp_footer',create_function('','global $detheme_config;if(isset($detheme_config[\'js-code\']) && !empty($detheme_config[\'js-code\'])) print "<script type=\"text/javascript\">".$detheme_config[\'js-code\']."</script>\n";'),99998);
	}


    wp_enqueue_script( 'modernizr' , get_template_directory_uri() . '/js/modernizr.js', array( ), '2.6.2', true );
    wp_enqueue_script( 'bootstrap' , get_template_directory_uri() . '/js/bootstrap.js', array( 'jquery' ), '3.0', true );
    wp_enqueue_script( 'dt-script' , get_template_directory_uri() . '/js/myscript.js', array( 'jquery','bootstrap'), '1.0', true );
    wp_enqueue_script( 'styleable-select', get_template_directory_uri() . '/js/select'.$suffix.'.js', array(), '0.4.0', true );
    wp_enqueue_script( 'styleable-select-exec' , get_template_directory_uri() . '/js/select.init.js', array('styleable-select'), '1.0.0', true );
    wp_enqueue_script( 'jquery.appear' , get_template_directory_uri() . '/js/jquery.appear'.$suffix.'.js', array(), '', true );
    wp_enqueue_script( 'jquery.counto' , get_template_directory_uri() . '/js/jquery.counto'.$suffix.'.js', array(), '', true );
	if ( is_singular() ) { 
		 wp_enqueue_script( 'hnd-comment-reply' , get_template_directory_uri() . '/js/comment-reply.min.js', array( 'jquery' ), '3.0', true );
	} 

}

function hnd_load_preloader(){

	global $detheme_config;
	if(!$detheme_config['page_loader'] || defined('IFRAME_REQUEST') || is_404() || (defined('DOING_AJAX') && DOING_AJAX))
		return '';
?>
<script type="text/javascript">
jQuery(document).ready(function ($) {
	'use strict';
    $("body").queryLoader2({
        barColor: "#fff",
        backgroundColor: "none",
        percentage: false,
        barHeight: 0,
        completeAnimation: "fade",
        minimumTime: 500,
        onLoadComplete: function() { $('.modal_preloader').fadeOut(300,function () {$('.modal_preloader').remove();})}
    });
});
</script>

	<?php 
}

function detheme_load_admin_stylesheet(){
	wp_enqueue_style( 'detheme-admin',get_template_directory_uri() . '/lib/css/admin.css', array(), '', 'all' );
}

load_template( get_template_directory().'/lib/webicon.php',true); // load detheme icon
load_template( get_template_directory().'/lib/options.php',true); // load bootstrap stylesheet and scripts
load_template( get_template_directory().'/lib/metaboxes.php',true); // load custom metaboxes
load_template( get_template_directory().'/lib/custom_functions.php',true); // load specific functions
load_template( get_template_directory().'/lib/widgets.php',true); // load custom widgets
load_template( get_template_directory().'/lib/shortcodes.php',true); // load custom shortcodes
load_template( get_template_directory().'/lib/updater.php',true); // load easy update
load_template( get_template_directory().'/lib/fonts.php',true); // load detheme font family

/** Remove Query strings from Static Resources. */

function detheme_remove_script_version( $src ){

    $parts = @explode( '?', $src );
    if (substr_count($parts[0],'googleapis.com')>0) {
    	return $src;
    } else {
    	return $parts[0];
    }
}

if(function_exists('vc_set_as_theme')){
	vc_set_as_theme(true);
}

?>